# wxActivateEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/event.h>`

Inheritance diagram for wxActivateEvent:
[legend]

## Detailed Description

An activate event is sent when a window or application is being activated or deactivated.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxActivateEvent& event)

Event macros:

- EVT_ACTIVATE(func):
  Process a `wxEVT_ACTIVATE` event.
- EVT_ACTIVATE_APP(func):
  Process a `wxEVT_ACTIVATE_APP` event. This event is received by the wxApp-derived instance only.
- EVT_HIBERNATE(func):
  Process a hibernate event, supplying the member function. This event applies to wxApp only, and only on Windows SmartPhone and PocketPC. It is generated when the system is low on memory; the application should free up as much memory as possible, and restore full working state when it receives a `wxEVT_ACTIVATE` or `wxEVT_ACTIVATE_APP` event.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling, wxApp::IsActive

## Public Member Functions

| wxActivateEvent (wxEventType eventType=wxEVT_NULL, bool active=true, int id=0)
| Constructor.
bool | GetActive () const
| Returns true if the application or window is being activated, false otherwise.

List of all members.

## Constructor & Destructor Documentation

wxActivateEvent::wxActivateEvent | ( | wxEventType | eventType = `wxEVT_NULL`,
|  | bool | active = `true`,
|  | int | id = `0` |
| ) |  |  |

Constructor.

## Member Function Documentation

bool wxActivateEvent::GetActive | ( |  | ) | const

Returns true if the application or window is being activated, false otherwise.

|  | [ top ]